Loading...
Searching...
No Matches
janus_pprec_options Struct Reference

Struct containing the parsed command line options for janus-pp-rec. More...

`#include <pp-options.h>`

## Data Fields

gboolean | fileexts_only
gboolean | jsonheader_only
gboolean | header_only
gboolean | parse_only
gboolean | extjson_only
const char * | metadata
gboolean | ignore_first_packets
int | match_pt
int | audio_level_extmap_id
int | video_orient_extmap_id
int | debug_level
int | debug_timestamps
gboolean | disable_colors
const char * | extension
gboolean | faststart
int | audioskew_th
int | silence_distance
int | restamp_multiplier
int | restamp_min_th
int | restamp_packets
gboolean | ignore_rtp_ts
char ** | paths

## Detailed Description

Struct containing the parsed command line options for janus-pp-rec.

## Field Documentation

## audio_level_extmap_id

int janus_pprec_options::audio_level_extmap_id

## audioskew_th

int janus_pprec_options::audioskew_th

## debug_level

int janus_pprec_options::debug_level

## debug_timestamps

int janus_pprec_options::debug_timestamps

## disable_colors

gboolean janus_pprec_options::disable_colors

## extension

const char* janus_pprec_options::extension

## extjson_only

gboolean janus_pprec_options::extjson_only

## faststart

gboolean janus_pprec_options::faststart

## fileexts_only

gboolean janus_pprec_options::fileexts_only

## header_only

gboolean janus_pprec_options::header_only

## ignore_first_packets

gboolean janus_pprec_options::ignore_first_packets

## ignore_rtp_ts

gboolean janus_pprec_options::ignore_rtp_ts

## jsonheader_only

gboolean janus_pprec_options::jsonheader_only

## match_pt

int janus_pprec_options::match_pt

## metadata

const char* janus_pprec_options::metadata

## parse_only

gboolean janus_pprec_options::parse_only

## paths

char** janus_pprec_options::paths

## restamp_min_th

int janus_pprec_options::restamp_min_th

## restamp_multiplier

int janus_pprec_options::restamp_multiplier

## restamp_packets

int janus_pprec_options::restamp_packets

## silence_distance

int janus_pprec_options::silence_distance

## video_orient_extmap_id

int janus_pprec_options::video_orient_extmap_id

The documentation for this struct was generated from the following file:

- pp-options.h